Benutzerhandbuch
Version 1.9 — Rev. 3

# CGI-Kontext

#### Beschreibung

Ein CGI-Kontext definiert Skripte in einem bestimmten Verzeichnis als CGI-Skripte. Dieses Verzeichnis kann innerhalb oder ausserhalb des Dokumentstammverzeichnisses liegen. Wenn eine Datei in diesem Verzeichnis angefordert wird, versucht der Server immer, sie als CGI-Skript auszufuehren, unabhaengig davon, ob sie ausfuehrbar ist. Dadurch ist Dateiinhalte unter einem CGI-Kontext stets geschuetzt und koennen nicht als statische Inhalte gelesen werden. Es wird empfohlen, alle CGI-Skripte in einem Verzeichnis abzulegen und einen CGI-Kontext fuer den Zugriff darauf einzurichten.

### URI

#### Beschreibung

Gibt die URI fuer diesen Kontext an.

#### Syntax

Die URI kann eine einfache URI sein (beginnend mit "/") oder eine Perl-kompatible regulaere Ausdrucks-URI (beginnend mit "exp:"). Wenn eine einfache URI mit "/" endet, umfasst dieser Kontext alle Unter-URIs darunter. Wenn der Kontext einem Verzeichnis im Dateisystem zugeordnet ist, muss ein abschliessendes "/" hinzugefuegt werden.

#### Siehe auch

Speicherort

### Pfad

#### Beschreibung

Gibt den Speicherort der CGI-Skripte an.

#### Syntax

Der Pfad kann ein Verzeichnis sein, das eine Gruppe von CGI-Skripten enthaelt, wie $VH_ROOT/myapp/cgi-bin/. In diesem Fall muss der Kontext URI mit "/" enden, wie /app1/cgi/. Der Pfad kann auch nur ein einzelnes CGI-Skript angeben, wie $VH_ROOT/myapp/myscript.pl. Dieses Skript sollte das entsprechende URI /myapp/myscript.pl haben.

### Header-Operationen

#### Beschreibung

Gibt zusaetzliche Antwort-/Anfrage-Header an, die hinzugefuegt werden sollen. Mehrere Header-Direktiven koennen mit einer Direktive pro Zeile angegeben werden. "NONE" deaktiviert die Vererbung uebergeordneter Header. Wenn keine Direktive angegeben ist, wird 'Header' angenommen.

#### Syntax

[Header]|RequestHeader [condition] set|append|merge|add|unset header [value] [early|env=[!]variable]

#### Beispiel

set Cache-control no-cache
append Cache-control no-store
Header set My-header cust_header_val
RequestHeader set My-req-header cust_req_header_val

#### Tipps

Information Syntax und Verwendung entsprechen den Apache mod_headers-Direktiven fuer unterstuetzte Operationen.
Information Die Direktive 'Header' ist optional und kann beim Kopieren von Regeln ohne Problem entfernt oder beibehalten werden.

### Set UID erlauben

#### Beschreibung

Gibt an, ob das set UID-Bit fuer CGI-Skripte erlaubt ist. Wenn es erlaubt und fuer ein CGI-Skript aktiviert ist, wechselt die Benutzer-ID des CGI-Prozesses zur Benutzer-ID des Skriptbesitzers, unabhaengig davon, im Namen welchen Benutzers das Skript gestartet wurde.
Standard ist "Off".

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Security Erlauben Sie Set UID-CGI-Skripte moeglichst nicht, da dies grundsaetzlich ein Sicherheitsrisiko ist.

### Realm

#### Beschreibung

Gibt den Autorisierungs-Realm fuer diesen Kontext an. Wenn angegeben, muessen ein gueltiger Benutzername und ein Passwort angegeben werden, um auf diesen Kontext zuzugreifen. Autorisierungs-Realms werden im Abschnitt Virtueller Host - Sicherheit eingerichtet. Diese Einstellung verwendet Realm-Name jedes Realms.

#### Syntax

Aus Dropdown-Liste auswählen

### Authentifizierungsname

#### Beschreibung

Gibt einen alternativen Namen fuer den Autorisierungs-Realm des aktuellen Kontextes an. Wenn nicht angegeben, wird der urspruengliche Realm-Name verwendet. Der Authentifizierungsname wird im Login-Popup des Browsers angezeigt.

### Require (autorisierte Benutzer/Gruppen)

#### Beschreibung

Gibt an, welche Benutzer/Gruppen auf diesen Kontext zugreifen duerfen. Dadurch koennen Sie eine Benutzer-/Gruppendatenbank (angegeben in Realm) fuer mehrere Kontexte verwenden, aber nur bestimmte Benutzer/Gruppen daraus fuer diesen Kontext zulassen.

#### Syntax

Die Syntax ist mit der Apache-Require-Direktive kompatibel. Zum Beispiel:

- user username [username ...]
  Nur aufgelistete Benutzer koennen auf diesen Kontext zugreifen.
- group groupid [groupid ...]
  Nur Benutzer, die zu den aufgelisteten Gruppen gehoeren, koennen auf diesen Kontext zugreifen.

Wenn diese Einstellung nicht angegeben ist, duerfen alle gueltigen Benutzer auf diese Ressource zugreifen.

### Zugriff erlaubt

#### Beschreibung

Gibt an, welche IPs oder Subnetze auf Ressourcen unter diesem Kontext zugreifen duerfen. Zusammen mit Zugriff verweigert und der Zugriffskontrolle auf Server-/Virtual-Host-Ebene wird die Zugaenglichkeit durch den kleinsten Bereich bestimmt, in den die IP-Adresse des Clients faellt.

#### Syntax

Kommagetrennte Liste von IPs/Subnetzen.

#### Beispiel

Subnetze koennen als 192.168.1.0/255.255.255.0, 192.168.1 oder 192.168.1.* geschrieben werden.

### Zugriff verweigert

#### Beschreibung

Gibt an, welche IPs oder Subnetze NICHT auf Ressourcen unter diesem Kontext zugreifen duerfen. Zusammen mit Zugriff erlaubt und der Zugriffskontrolle auf Server-/Virtual-Host-Ebene wird die Zugaenglichkeit durch den kleinsten Bereich bestimmt, in den die IP-Adresse des Clients faellt.

#### Syntax

Kommagetrennte Liste von IPs/Subnetzen.

#### Beispiel

Subnetze koennen als 192.168.1.0/255.255.255.0, 192.168.1 oder 192.168.1.* geschrieben werden.

### Authorizer

#### Beschreibung

Gibt eine externe Anwendung an, die autorisiert/nicht autorisiert-Entscheidungen erzeugen kann. Derzeit ist nur der FastCGI Authorizer verfuegbar. Weitere Details zur Rolle FastCGI Authorizer finden Sie unter https://fastcgi-archives.github.io/ .

#### Syntax

Aus Dropdown-Liste auswählen

### Standard-Charset hinzufuegen

#### Beschreibung

Gibt an, ob dem Antwort-Header "Content-Type" ein Zeichensatz-Tag hinzugefuegt werden soll, wenn der Content-Type entweder "text/html" oder "text/plain" ohne Parameter ist. Bei Off ist diese Funktion deaktiviert. Bei On wird entweder der durch Angepasster Standard-Charset angegebene Zeichensatz oder der Standard "iso-8859-1" hinzugefuegt.

#### Syntax

Aus Optionsfeldern auswählen

### Angepasster Standard-Charset

#### Beschreibung

Gibt einen Zeichensatz an, der verwendet wird, wenn Standard-Charset hinzufuegen auf On steht. Dies ist optional. Standardwert ist iso-8859-1. Dieser Eintrag hat keine Wirkung, wenn Standard-Charset hinzufuegen auf Off steht.

#### Syntax

Name eines Zeichensatzes.

#### Beispiel

utf-8

### Rewrite aktivieren

#### Beschreibung

Gibt an, ob LiteSpeeds URL-Rewrite-Engine aktiviert wird. Diese Option kann auf Virtual-Host- oder Kontextebene angepasst werden und wird entlang des Verzeichnisbaums vererbt, bis sie ausdrücklich überschrieben wird.

#### Syntax

Aus Optionsfeldern auswählen

### Rewrite erben

#### Beschreibung

Gibt an, ob Rewrite-Regeln von uebergeordneten Kontexten geerbt werden sollen. Wenn Rewrite aktiviert und nicht geerbt ist, werden die in diesem Kontext definierten Rewrite-Basis und Rewrite-Regeln verwendet.

#### Syntax

Aus Optionsfeldern auswählen

### Rewrite-Basis

#### Beschreibung

Gibt die Basis-URL fuer Rewrite-Regeln an.

#### Syntax

URL

### Rewrite-Regeln

#### Beschreibung

Gibt eine Liste von Rewrite-Regeln auf Virtual-Host-Ebene an.
Fügen Sie hier KEINE Rewrite-Regeln auf Dokumentstammebene hinzu. Wenn Sie Rewrite-Regeln auf Dokumentstammebene aus .htaccess haben, sollten Sie stattdessen einen statischen Kontext mit uri "/" erstellen und die Rewrite-Regeln dort hinzufügen.
Eine Rewrite-Regel besteht aus einer Direktive RewriteRule und kann optional von mehreren Direktiven RewriteCond eingeleitet werden.

- Jede Direktive sollte nur eine Zeile belegen.
- RewriteCond und RewriteRule folgen der Rewrite-Direktivensyntax von Apache. Kopieren Sie Rewrite-Direktiven einfach aus Ihren Apache-Konfigurationsdateien und fügen Sie sie ein.
- Es gibt kleinere Unterschiede zwischen der Implementierung von LiteSpeed und Apache mod_rewrite:
  - %\{LA-U:variable\} und %\{LA-F:variable\} werden von der LiteSpeed-Rewrite-Engine ignoriert
  - Zwei neue Servervariablen werden der LiteSpeed-Rewrite-Engine hinzugefügt: %\{CURRENT_URI\} steht für die aktuelle URI, die von der Rewrite-Engine verarbeitet wird, und %\{SCRIPT_NAME\} hat dieselbe Bedeutung wie die entsprechende CGI-Umgebungsvariable.
  - Die LiteSpeed-Rewrite-Engine stoppt die Verarbeitung von Rewrite-Regeln nach einer [L]-Markierung, um Schleifen zu vermeiden, während Apache mod_rewrite die Verarbeitung von Rewrite-Regeln nur für die aktuelle Iteration stoppt. Dieses Verhalten ähnelt dem der [END]-Markierung in Apache mod_rewrite.

Die Implementierung der LiteSpeed-Rewrite-Engine folgt den Spezifikationen der Apache-Rewrite-Engine. Weitere Details zu Rewrite-Regeln finden Sie in der Apache mod_rewrite-Dokumentation und im Apache-Leitfaden zur URL-Umschreibung .

#### Syntax

Zeichenkette

### GeoLocation-Suche aktivieren

#### Beschreibung

Gibt an, ob die IP-Geolocation-Suche aktiviert/deaktiviert werden soll. Kann auf Server-, Virtual-Host- oder Kontextebene gesetzt werden. IP Geolocation ist standardmaessig deaktiviert, wenn der Wert "Not Set" verwendet wird.

#### Syntax

Aus Optionsfeldern auswählen

#### Siehe auch

Client-IP im Header verwenden, DB-Dateipfad,